ansible-role-dci-podman
=======================

Ansible role to setup podman on a system. This includes creating the
appropriate subuid/subgid entries for user mapping. By default podman will
setup a subuid entry for `ansible_user_id`

## How to use

1) Optional: declare any additional subuids you want to setup
2) Include the role.

```
---
- hosts: localhost
  vars:
    podman_additional_subuids:
    - "dci-pipeline:165536:65536"
  tasks:
  - include_role:
      name: ansible-role-dci-podman
```

## Variables

| Variable | Description  | Default value |
|---|---|---|
| podman_additional_subuids | Additional `/etc/subuid` entries other than `ansible_user_id`| See `/usr/share/dci/roles/ansible-role-dci-podman/defaults/main.yml` |

## Output

```
[dci-openshift-agent]$ 
```
